export declare function replaceConfigSecrets(config: any, secrets: any): any;
export declare function replaceInlineSecrets(inline: string, secrets: any): string;
/**
 * Retrieves a policy annotation value from a custom resource
 * @param item - The CR to get the policy from
 * @param annotation - The annotation key to retrieve
 * @returns The policy value, or undefined if not set
 */
export declare function getPolicy(item: any, annotation: string): string | undefined;
